package com.ruoyi.predict.domain;

import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * CwUspDayData对象 cw_usp_day_data
 *
 * @author hlf
 * @date 2021-12-28
 */
public class CwUspDayData extends BaseEntity {
    private static final long serialVersionUID = 1L;

    private Long wfPrCwireNo;

    private Long modelNo;

    private Long timeScale;

    private Date dataTime;

    private Double nrmse;

    private Double nmae;

    private Double bias;

    private Double correlationCoeff;

    private Double accuracyRate;

    private Long dataCount;

    private Long dataFlag;

    public void setWfPrCwireNo(Long wfPrCwireNo) {
        this.wfPrCwireNo = wfPrCwireNo;
    }

    public Long getWfPrCwireNo() {
        return wfPrCwireNo;
    }

    public void setModelNo(Long modelNo) {
        this.modelNo = modelNo;
    }

    public Long getModelNo() {
        return modelNo;
    }

    public void setTimeScale(Long timeScale) {
        this.timeScale = timeScale;
    }

    public Long getTimeScale() {
        return timeScale;
    }

    public void setDataTime(Date dataTime) {
        this.dataTime = dataTime;
    }

    public Date getDataTime() {
        return dataTime;
    }

    public void setNrmse(Double nrmse) {
        this.nrmse = nrmse;
    }

    public Double getNrmse() {
        return nrmse;
    }

    public void setNmae(Double nmae) {
        this.nmae = nmae;
    }

    public Double getNmae() {
        return nmae;
    }

    public void setBias(Double bias) {
        this.bias = bias;
    }

    public Double getBias() {
        return bias;
    }

    public void setCorrelationCoeff(Double correlationCoeff) {
        this.correlationCoeff = correlationCoeff;
    }

    public Double getCorrelationCoeff() {
        return correlationCoeff;
    }

    public void setAccuracyRate(Double accuracyRate) {
        this.accuracyRate = accuracyRate;
    }

    public Double getAccuracyRate() {
        return accuracyRate;
    }

    public void setDataCount(Long dataCount) {
        this.dataCount = dataCount;
    }

    public Long getDataCount() {
        return dataCount;
    }

    public void setDataFlag(Long dataFlag) {
        this.dataFlag = dataFlag;
    }

    public Long getDataFlag() {
        return dataFlag;
    }

    private Long windplantNo;

    private Long projectNo;

    private int statisticType;

    private int evaluationIndex;

    public Long getWindplantNo() {
        return windplantNo;
    }

    public void setWindplantNo(Long windplantNo) {
        this.windplantNo = windplantNo;
    }

    public Long getProjectNo() {
        return projectNo;
    }

    public void setProjectNo(Long projectNo) {
        this.projectNo = projectNo;
    }

    public int getStatisticType() {
        return statisticType;
    }

    public void setStatisticType(int statisticType) {
        this.statisticType = statisticType;
    }

    public int getEvaluationIndex() {
        return evaluationIndex;
    }

    public void setEvaluationIndex(int evaluationIndex) {
        this.evaluationIndex = evaluationIndex;
    }

    private String manyTimeScale;

    public String getManyTimeScale() {
        return manyTimeScale;
    }

    public void setManyTimeScale(String manyTimeScale) {
        this.manyTimeScale = manyTimeScale;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("wfPrCwireNo", getWfPrCwireNo())
                .append("modelNo", getModelNo())
                .append("timeScale", getTimeScale())
                .append("dataTime", getDataTime())
                .append("nrmse", getNrmse())
                .append("nmae", getNmae())
                .append("bias", getBias())
                .append("correlationCoeff", getCorrelationCoeff())
                .append("accuracyRate", getAccuracyRate())
                .append("dataCount", getDataCount())
                .append("dataFlag", getDataFlag())
                .toString();
    }
}
